Check status of ldap import users and delete orphaned
DELETE
/domains/ldap/check
const url = 'https://example.com/api/v1/domains/ldap/check?deleteFiles=false';const options = {method: 'DELETE', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://example.com/api/v1/domains/ldap/check?deleteFiles=false' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Query Parameters
Section titled “Query Parameters”userID
integer
If set, only the according user will be deleted
deleteFiles
boolean
Delete user files on disk
Responses
Section titled “ Responses ”Orphaned users were deleted
Media typeapplication/json
object
deleted
List of users that were deleted
Array<object>
object
ID
Unique ID of the object
integer
username
string
Examplegenerated
{ "deleted": [ { "username": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}